<bugID>1377475<Summary>dev tools not clearing cache</Summary><Description>User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:56.0) Gecko/20100101 Firefox/56.0
Build ID: 20170629100321

Steps to reproduce:

1.  Using Firefox Nightly 56.01a Linux 64 bit (2017-Jun-29)
2.  Have javascript code in yii framework in DEBUG mode (published to assets on every page load)
3.  Have &lt;code&gt;debugger;&lt;/code&gt; in script 
4.  Have Web Developer -&gt; Web Console open
5.  Have Settings-&gt;Disable HTTP cache when toobox is open checked
6.  Remove 'debugger;' line in 3
7.  Shift-Reload:  "debugger;" still being seen by browser (program interrupts, debugger tab on developer tools active at "debugger;" line).
8.  Go To firefox -&gt; Edit  -&gt; Preferences -&gt; Cached Web Content -&gt;Clear Now
9.  Shift-Reload:  "debugger;" line gone


Actual results:

It looks like the dev tools isn't keep the cache from being reused when Dev Tools is open, causing the javascript to not reload after a change


Expected results:

It should have reloaded the javascript after a change</Description></bugID>